WFS bounding box issue
2014-11-14 06:48 AM - Neil Benny

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:2.6.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 19898
Description

When loading a WFS into QGIS uncached the bounding box seems to expand when the map is panned.

| view an area on an initial view and can see the features loaded. | then pan directly to the northeast and the new features are loaded
along with the old features. Features to the north and east of the original area are also loaded even though they are not and have not been
within the viewing extent (see diagram).

This slows down and causes issues with feature limits.

The problem can be replicated using the following WFS: http://ogc.bgs.ac.uk/cgi-bin/BGS _Bedrock_and_Superficial_Geology/wms?

It can be replicated:

zoom in to a bounding box: -3.90,55.97 : -3.16,56.46 (EPSG 4326)

Add the BGS lithography lay 1:625k untick the cached box using the WFS tool
once data is loaded pan to the northwest to a whole new area.

Select all features

Copy features

Paste as memory layer

You will see that the features cover an area much wider than the two view extents.

| have tested this on previous versions 2.2 - 2.6 and the bug is present

History

#1 - 2017-01-17 06:41 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Open to Closed

Since the report the wfs client has been overhauled, and options changed/removed. The available "only request features overlapping..." works as expected

now. Please reopen if necessary.
